aboutsummaryrefslogtreecommitdiffstats
path: root/testing/perl-module-scandeps/APKBUILD
diff options
context:
space:
mode:
authorLeonardo Arena <rnalrd@alpinelinux.org>2015-09-19 14:18:52 +0000
committerLeonardo Arena <rnalrd@alpinelinux.org>2015-09-19 14:19:54 +0000
commit221e23c743a1131a59ced7052a16ecc1f5b2a58c (patch)
treec75ec29ae723c0548b30d040efb332b317f8b125 /testing/perl-module-scandeps/APKBUILD
parent2a08442272fc747806062d4b3a1de4abac3d1f9e (diff)
downloadaports-221e23c743a1131a59ced7052a16ecc1f5b2a58c.tar.gz
aports-221e23c743a1131a59ced7052a16ecc1f5b2a58c.tar.bz2
aports-221e23c743a1131a59ced7052a16ecc1f5b2a58c.tar.xz
testing/perl-module-scandeps: new aport
Diffstat (limited to 'testing/perl-module-scandeps/APKBUILD')
-rw-r--r--testing/perl-module-scandeps/APKBUILD41
1 files changed, 41 insertions, 0 deletions
diff --git a/testing/perl-module-scandeps/APKBUILD b/testing/perl-module-scandeps/APKBUILD
new file mode 100644
index 0000000000..d2a6d13885
--- /dev/null
+++ b/testing/perl-module-scandeps/APKBUILD
@@ -0,0 +1,41 @@
+# Automatically generated by apkbuild-cpan, template 1
+# Contributor:
+# Maintainer:
+pkgname=perl-module-scandeps
+_pkgreal=Module-ScanDeps
+pkgver=1.19
+pkgrel=0
+pkgdesc="Recursively scan Perl code for dependencies"
+url="http://search.cpan.org/dist/Module-ScanDeps/"
+arch="noarch"
+license="GPL PerlArtistic"
+cpandepends=""
+cpanmakedepends="perl-test-requires "
+depends="$cpandepends"
+makedepends="perl-dev $cpanmakedepends"
+subpackages="$pkgname-doc"
+source="http://search.cpan.org/CPAN/authors/id/R/RS/RSCHUPP/$_pkgreal-$pkgver.tar.gz"
+
+_builddir="$srcdir/$_pkgreal-$pkgver"
+
+prepare() {
+ cd "$_builddir"
+ export CFLAGS=`perl -MConfig -E 'say $Config{ccflags}'`
+ PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor
+}
+
+build() {
+ cd "$_builddir"
+ export CFLAGS=`perl -MConfig -E 'say $Config{ccflags}'`
+ make && make test
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+ find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
+}
+
+md5sums="ea2545dbf46bae4cc43d9d07cad77b96 Module-ScanDeps-1.19.tar.gz"
+sha256sums="be77c31327d88382bbae4d11e6209d3222c848bd3ade8d3dcaae3dae748a66cb Module-ScanDeps-1.19.tar.gz"
+sha512sums="627d7d8a3887a6be666d48e72e371db1fc1637c66d60da6fa797165e3020b8b2cfa0576f1520694409cb66266faa5277e12e558bcfd75b397075962b19fb0bbf Module-ScanDeps-1.19.tar.gz"